﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Ektron.Cms;
using Ektron.Cms.Framework.Content;
using Ektron.Cms.Content;
using Ektron.Cms.Common;
using Ektron.Cms.Framework;

public partial class Source_ContMantest : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            //Add folder ID, change to fit specific needs
            long cid = 154;
            //Call content Manager 
            ContentManager myContentManager = new ContentManager(ApiAccessMode.Admin);
            //Call Content Data 
            ContentData myContentData = new ContentData();
            //Set Content Criteria 
            ContentCriteria criteria = new ContentCriteria(ContentProperty.FolderId, EkEnumeration.OrderByDirection.Descending);
            criteria.AddFilter(ContentProperty.FolderId, CriteriaFilterOperator.EqualTo, cid);//Add long ID to criteria
            //Specify if adding folder directory and its contents
            criteria.FolderRecursive = true;
            //Set Paging infor limits
            criteria.PagingInfo = new PagingInfo(10000);

            //Get content data list
            List<ContentData> clist = myContentManager.GetList(criteria);

            //Display Content Data in browser
            foreach (var item in clist)
            {
                Response.Write(item.Id);

            }
        }

        catch 
        {
            Console.Write("</br>");
        }
    }

}